﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TestWindows
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dataGridView1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);

            table.Rows[0].RowError = "Error at row one";
            table.Rows[0].SetColumnError(0, "Error at cell at row one");
            return table;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dataGridView1.Rows[1].ErrorText = "Row two";
            dataGridView1[1, 1].ErrorText = "Cell at row two";
            dataGridView1.Rows[3].ErrorText = "Row four";
            dataGridView1[2, 3].ErrorText = "Cell at row four";

            DataTable table = dataGridView1.DataSource as DataTable;
            table.Rows[2].RowError = "Error at row three";
            table.Rows[2].SetColumnError(0, "Error at cell at row three");
        }
    }
}